


#include "Eagle5/Eagle5.hpp"

#include "allegro5/allegro.h"
//#include "allegro5/allegro



class Allegro5Timer : public EagleTimer {
private :
   
   ALLEGRO_TIMER* timer;
   ALLEGRO_EVENT_QUEUE* queue;
   
   void RefreshTimer();
   
public :
   Allegro5Timer() : EagleTimer() , timer(0) , queue(0) {}
   
   
   virtual bool Create(double seconds_per_tick);
   virtual void Destroy();
   virtual void Start();
   virtual void Stop();
   
   virtual long long unsigned int Count();
   virtual void* Source();

   
   ALLEGRO_TIMER* AllegroTimer() {return timer;}
};

