

#include "Eagle5/backends/Allegro5/EagleTimer.hpp"



unsigned long long EagleTimer::TicksPassed() {
   RefreshTimer();
   return current_ticks - previous_ticks;
}



double EagleTimer::TimePassed() {
   RefreshTimer();
   return (double)(current_ticks - previous_ticks)*spt;
}



double EagleTimer::TakeAllTime() {
   RefreshTimer();
   double t = (double)(current_ticks - previous_ticks)*spt;
   previous_ticks = current_ticks;
   return t;
}

